{% extends "base.html.twig" %}
{% block body %}
    {% include "_header.html.twig" %}
    <style>
        .slidecontainer {
            width: 100%;
        }
        input[type=text] {
            border: none;
           width: 25%;
        }

        .slider {
            -webkit-appearance: none;
            width: 100%;
            height: 25px;
            background: #d3d3d3;
            outline: none;
            opacity: 0.7;
            -webkit-transition: .2s;
            transition: opacity .2s;
        }

        .slider:hover {
            opacity: 1;
        }

        .slider::-webkit-slider-thumb {
            -webkit-appearance: none;
            appearance: none;
            width: 25px;
            height: 25px;
            background: #4CAF50;
            cursor: pointer;
        }

        .slider::-moz-range-thumb {
            width: 25px;
            height: 25px;
            background: #4CAF50;
            cursor: pointer;
        }
        #search-sayara-form{

            background-color: #10213ec4;
            position: relative;
            height: 335px;
        }
        .tab-pane{
            background-color: transparent;
        }
        .find-sayara{
            margin-top: 175px;
            float: right;
            margin-right: 20px;
        }
        .sayara-search{
            padding-top: 20px;
        }
        #search-sayara-form{
            height: 240px;
        }
    </style>
    <div class="search-row-wrapper" style="background-color: white">
        <div class="container">
            <div id="search-sayara-form">
                <div class="tab-box tab__box">
                    <ul class="nav nav-tabs add-tabs tabs__a" id="" role="tablist">
                        <li class="  {% if type is defined and type == "1"  or type == "" %} active {% endif %}">
                            <a href="#tab__ocassion" class="" data-url=" " role="tab" data-toggle="tab">
                                 <span class="uppercase">
                                    <b>Occasion </b>
                                </span>
                            </a>
                        </li>
                        <li class="  {% if type is defined and type == "2" %} active {% endif %}">
                            <a href="#tab__pieces" class="" data-url=" " role="tab" data-toggle="tab">
                                 <span class="uppercase">
                                    <b>Pieces auto</b>
                                </span>
                            </a>
                        </li>

                        <!--<li>
                            <a href="#tab__neuf" class="" data-url=" " role="tab" data-toggle="tab">
                                <span class="uppercase">
                                    <b> Prix de neuf </b>
                                </span>
                            </a>
                        </li>-->
                    </ul>
                </div>
                <!-- Tab panes -->
                <div class="tab-content tabs_specials">
                    <div role="tabpanel" class="tab-pane   {% if type is defined and type == "1"  or type == "" %} active {% endif %}" id="tab__ocassion">
                        {% include "default/_form_occasion_search.html.twig" %}
                    </div>
                    <div role="tabpanel" class="tab-pane   {% if type is defined and type == "2" %} active {% endif %}" id="tab__pieces">
                        {% include "default/_form_spare_search.html.twig" %}
                    </div>
                    <div role="tabpanel" class="tab-pane" id="tab__neuf">

                        {% include "default/_form_new_search.html.twig" %}
                    </div>
                </div>
               {# <div class="tab-box tab__box">
                    <ul class="nav nav-tabs add-tabs tabs__a" id="" role="tablist">
                        <li class="active">
                            <a href="#tab__pieces" class="tab-panel" data-url=" " role="tab" data-toggle="tab">
                                 <span class="uppercase">
                                    <b>Pieces auto</b>
                                </span>
                            </a>
                        </li>
                        <li class=" ">
                            <a href="#tab__ocassion" class="tab-panel"  data-url=" " role="tab" data-toggle="tab">
                                 <span class="uppercase">
                                    <b>Occasion </b>
                                </span>
                            </a>
                        </li>
                        <li>
                            <a href="#tab__neuf" class="tab-panel"  data-url=" " role="tab" data-toggle="tab">
                                <span class="uppercase">
                                    <b> Prix de neuf </b>
                                </span>
                            </a>
                        </li>
                    </ul>
                </div>
                <!-- Tab panes -->
                <div class="tab-content tabs_specials">
                    <div role="tabpanel" class="tab-panel"  id="tab__neuf">
                        <form action="#" method="GET">
                            <div class="sayara-search">
                                <div class="col-sm-3">
                                    <input class="form-control keyword" type="text" placeholder="e.g. Mobile Sale">
                                </div>
                                <div class="col-sm-3"></div>
                                <div class="col-sm-3">
                                </div>
                                <div class="col-sm-3">

                                </div>
                            </div>
                            <button class="btn  btn-primary find-sayara"><i class="fa fa-search"></i>Rechercher</button>
                        </form>
                    </div>
                    <div role="tabpanel" class="tab-panel"   id="tab__ocassion">

                    </div>
                    <div role="tabpanel" class="tab-panel active" id="tab__pieces">

                    </div>
                </div>
#}
            </div>
        </div>
    </div>
    <div class="main-container">
        <div class="container">
            <div class="row">

                <div class="col-sm-3 page-sidebar mobile-filter-sidebar">
                    <aside>
                        <div class="inner-box">
<!--
                            <div class="locations-list  list-filter">
                                <h5 class="list-title"><strong><a href="#">Prix </a></strong></h5>
                                <form role="form" class="form-inline" action="{{ path('search_price') }}">
                                    <div class="slidecontainer">
                                        <p>Minimum prix:
                                            <input type="range" min="100" max="100000" value="{% if min is defined %}{{ min }}{% else %}0{% endif %}" class="slidecontainer" id="minPrice">
                                        </p>
                                        <input type="text" id="min" name="min_price" value="" /> DT
                                    </div>
                                    <div class="slidecontainer">
                                        <p>Maximum prix:
                                            <input type="range" min="100" max="100000" value="{% if max is defined %}{{ max }}{% else %}0{% endif %}" class="slidecontainer" id="maxPrice">
                                        </p>
                                        <input type="text" id="max" name="max_price" value=""/> DT
                                    </div>
                                    <button id="price_btn" type="submit" class="btn-success btn-sm" style="float: right">GO</button>
                                </form>

                                <div style="clear:both"></div>
                            </div>
-->
                            <div class="categories-list  list-filter">
                                <h5 class="list-title"><strong><a href="#">Catégories</a></strong></h5>
                                <ul class=" list-unstyled">
                                    {% for c in categories %}
                                    <li><a href="{{ path('search_category', {'code':c.code ,  'slug' : c.name|slugify}) }}" name="{{ c.id }}">{{ c.name }} </span></a>
                                        {% endfor %}
                                </ul>
                            </div>


                            <div class="locations-list  list-filter">
                                <h5 class="list-title"><strong><a href="#">Régions</a></strong></h5>
                                <ul class="browse-list list-unstyled">
                                    {% for city in cities %}
                                    <li id="{{ city.code }}"><a href="{{ path('search_city', {'code':city.code, 'slug' : city.name|slugify }) }}"><span class="title">{{ city.name }}</span></a></li>
                                    {% endfor %}
                                </ul>
                            </div>


                            <div class="locations-list  list-filter">
                                <h5 class="list-title"><strong><a >Condition</a></strong></h5>
                                <ul class="browse-list list-unstyled long-list">
                                    <li><a href="{{ path('search_state', {'state':1 , 'slug' : 'Nouveau'|slugify  }) }}">Nouveau </a>
                                    </li>
                                    <li><a href="{{ path('search_state', {'state':2 , 'slug' : 'Occasion'|slugify }) }}">Occasion </a>
                                    </li>
                                </ul>
                            </div>

                            <div style="clear:both"></div>
                        </div>

                    </aside>
                </div>
                {% block content %}{% endblock %}
            </div>



        </div>

    </div>
    {% include "_footer.html.twig" %}
{% endblock %}
{% block javascript %}
    <script src="{{ asset('assets/js/script.js') }}"></script>
    <script>

        var slider = document.getElementById("minPrice");
        var min = document.getElementById("min");
        min.value = slider.value;

        slider.oninput = function() {
            min.value= this.value;
        }

        var sliderTwo = document.getElementById("maxPrice");
        var max = document.getElementById("max");
        max.value = sliderTwo.value;

        sliderTwo.oninput = function() {
            max.value = this.value;
        }




    </script>
{% endblock %}